<?php
/*
Plugin Name: ZMT fancybox
Plugin URI: http://blog.zmatlik.eu/zmt-fancybox.html
Description: Plugin adds fancybox code to WP header and footer. This plugin is very simple and designed for NextGen Gallery. You can use multiple galleries on page.
Author: zmt
Version: 1.2
Author URI: http://blog.zmatlik.eu
*/

register_activation_hook(__FILE__,'zmt_fancybox_install');
register_deactivation_hook( __FILE__, 'zmt_fancybox_remove' );

add_action('wp_head', 'zmt_fancybox_add');
add_action('wp_footer', 'zmt_fancybox_onload_add');


   

 function zmt_fancybox_install() {
   /* Creates new database field */
   add_option("zmt_fancybox_textPosition", 'over', '', 'yes');
   add_option("zmt_fancybox_textAlign", 'center', '', 'yes');
   add_option("zmt_fancybox_bgPicture", plugins_url(). '/zmt-fancybox/fancybox/fancy_title_over.png', '', 'yes');
   add_option("zmt_fancybox_bgColor", '', '', 'yes');
   add_option("zmt_fancybox_fontColor", '#ffffff', '', 'yes');
   add_option("zmt_fancybox_transitionIn", 'fade', '', 'yes');
   add_option("zmt_fancybox_transitionOut", 'none', '', 'yes');
   add_option("zmt_fancybox_beforeCounter", '[ ', '', 'yes');
   add_option("zmt_fancybox_insideCounter", ' / ', '', 'yes');
   add_option("zmt_fancybox_behindCounter", ' ]', '', 'yes');
   }
  
   function zmt_fancybox_remove() {
   /* Deletes the database field */
   delete_option('zmt_fancybox_textPosition');
   delete_option('zmt_fancybox_textAlign');
   delete_option('zmt_fancybox_bgPicture');
   delete_option('zmt_fancybox_bgColor');
   delete_option('zmt_fancybox_fontColor');
   delete_option('zmt_fancybox_transitionIn');
   delete_option('zmt_fancybox_transitionOut');
   delete_option('zmt_fancybox_beforeCounter');
   delete_option('zmt_fancybox_insideCounter');
   delete_option('zmt_fancybox_behindCounter');
   }



function zmt_fancybox_add()
{

$zmt_fancybox_url =  plugins_url();
 
   
   $zmt_fancybox_textPosition = get_option('zmt_fancybox_textPosition'); 
   $zmt_fancybox_transitionIn = get_option('zmt_fancybox_transitionIn');
   $zmt_fancybox_transitionOut = get_option('zmt_fancybox_transitionOut');
   $zmt_fancybox_beforeCounter = get_option('zmt_fancybox_beforeCounter');
   $zmt_fancybox_insideCounter = get_option('zmt_fancybox_insideCounter');
   $zmt_fancybox_behindCounter = get_option('zmt_fancybox_behindCounter');

   

  $zmt_fancybox_style = "text-align:".get_option('zmt_fancybox_textAlign').";\n";
  if (get_option('zmt_fancybox_bgPicture') != "") {
   $zmt_fancybox_style .= "background-image:url(\"".get_option('zmt_fancybox_bgPicture')."\");\n"; }
  if (get_option('zmt_fancybox_bgColor') != "") {
   $zmt_fancybox_style .= "background-color:".get_option('zmt_fancybox_bgColor').";\n"; }
  $zmt_fancybox_style .= "color:".get_option('zmt_fancybox_fontColor').";\n";

echo <<<END
  
<!-- ZMT-FANCYBOX-START -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js"></script>  
<script>
  !window.jQuery && document.write('<script src="$zmt_fancybox_url/zmt-fancybox/jquery-1.4.3.min.js"><\/script>');
</script>

<script type="text/javascript" src="$zmt_fancybox_url/zmt-fancybox/fancybox/jquery.mousewheel-3.0.4.pack.js"></script>
<script type="text/javascript" src="$zmt_fancybox_url/zmt-fancybox/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<link rel="stylesheet" type="text/css" href="$zmt_fancybox_url/zmt-fancybox/fancybox/jquery.fancybox-1.3.4.css" media="screen" />
<link rel="stylesheet" href="$zmt_fancybox_url/style.css"/>
 
 
<!-- here you can modify settings (according to tips on fancybox.net) -->

<style type="text/css">
#zmt_fancybox_style {
  padding: 8px;
  $zmt_fancybox_style
  }
#zmt_fancybox_style span { font-weight: bold; }  
</style>
 
 <script type="text/javascript">
 
   /* This function wrote Simon Willison, url: http://simonwillison.net/2004/may/26/addloadevent/  */
  function addLoadEvent(func) {
   var oldonload = window.onload;
  
   if (typeof window.onload != 'function') {
          window.onload = func;
        } else {
                  window.onload = function() {
                  if (oldonload) { oldonload(); }
                  func(); }
                }
   }
 
 function zmt_fancybox_formatTitle(title, currentArray, currentIndex, currentOpts) {
    return '<div id="zmt_fancybox_style">' + (title && title.length ? '<span>' + title + '</span><br />' : '' ) + '$zmt_fancybox_beforeCounter' + (currentIndex + 1) + '$zmt_fancybox_insideCounter' + currentArray.length + '$zmt_fancybox_behindCounter' + '</div>';
}  
   
   
  function zmt_fancybox(){
              
   $(document).ready(function() {

     lastZmt = ""
     for(i=0; (a = document.getElementsByTagName("a")[i]); i++) {         
                                               
       if( a.getAttribute("rel") != null ) {
        if(a.getAttribute("rel") .indexOf("zmt_") != -1 && a.getAttribute("rel") !=lastZmt) { 
        
         // Here you can change fancybox settings: 
          $("a[rel=" + a.getAttribute("rel") + "]").fancybox({
         
                                                                'transitionIn'   : '$zmt_fancybox_transitionIn',
                                                                'transitionOut'  : '$zmt_fancybox_transitionOut',
                                                                'titlePosition'  : '$zmt_fancybox_textPosition',
                                                                'titleFormat'     : zmt_fancybox_formatTitle});

                                        
         lastZmt = a.getAttribute("rel"); }} //end if
       } //end for
                                  });

    }
    
  </script>

<!-- ZMT-FANCYBOX-END -->
END;
}

function zmt_fancybox_onload_add()
{
echo <<<END
 <script type="text/javascript">
  /* zmt-fancybox:
   * It has to be in footer (or after body tag), because we want to have all images/galleries were loaded.  */
  addLoadEvent(zmt_fancybox);
 </script>
END;
}
   

//Admin Panel

  function register_zmt_fancybox_settings () { 

   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_textPosition');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_textAlign');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_bgPicture');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_bgColor');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_fontColor');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_transitionIn');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_transitionOut');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_beforeCounter');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_insideCounter');
   register_setting( 'zmt-fancybox-settings', 'zmt_fancybox_behindCounter');
}

  
if ( is_admin() ){
   
    add_action('admin_menu', 'zmt_fancybox_admin_menu');
   
    function zmt_fancybox_admin_menu() {
    
    add_options_page('ZMT fancybox', 'ZMT fancybox Settings', 'administrator', 'zmt-fancybox', 'zmt_fancybox_plugin_page');
    add_action( 'admin_init', 'register_zmt_fancybox_settings' );

    }
   
?>
<?php function zmt_fancybox_plugin_page() { ?>

<form method="post" action="options.php">

 <?php settings_fields( 'zmt-fancybox-settings'); ?>

  <table>
 <caption align="left"> <b><?php _e(' Title '); ?></b> </caption>
  <tr>
   <td><?php _e('position:','zmt_fancybox'); ?></td>
   <td>
    <select name="zmt_fancybox_textPosition">
     <option value="outside" <?php if(get_option('zmt_fancybox_textPosition') == "outside") { echo "selected=\"selected\""; } ?>><?php _e('outside','zmt_fancybox'); ?></option>
     <option value="inside" <?php if(get_option('zmt_fancybox_textPosition') == "inside") { echo "selected=\"selected\""; } ?>><?php _e('inside','zmt_fancybox'); ?></option>
     <option value="over" <?php if(get_option('zmt_fancybox_textPosition') == "over") { echo "selected=\"selected\""; } ?>><?php _e('over','zmt_fancybox'); ?></option>
    </select>
   </td>
  </tr>
  <tr>
   <td><?php _e('text align:','zmt_fancybox'); ?></td>
   <td>
    <select name="zmt_fancybox_textAlign">
     <option value="left" <?php if(get_option('zmt_fancybox_textAlign') == "left") { echo "selected=\"selected\""; } ?>><?php _e('left','zmt_fancybox'); ?></option>
     <option value="right" <?php if(get_option('zmt_fancybox_textAlign') == "right") { echo "selected=\"selected\""; } ?>><?php _e('right','zmt_fancybox'); ?></option>
     <option value="center" <?php if(get_option('zmt_fancybox_textAlign') == "center") { echo "selected=\"selected\""; } ?>><?php _e('center','zmt_fancybox'); ?></option>
    </select>
   </td>
  </tr>
  <tr>
   <td><?php _e('background picture URL:','zmt_fancybox'); ?></td>
   <td>
    <input name="zmt_fancybox_bgPicture" type="text" id="bgPicture" size="90" value="<?php echo get_option('zmt_fancybox_bgPicture'); ?>" />
   </td>
  </tr>
  <tr>
   <td><?php _e('example:','zmt_fancybox'); ?></td>
   <td>
    <?php echo  plugins_url()."/zmt-fancybox/fancybox/fancy_title_over.png"; ?>
   </td>
  </tr>
  <tr>
   <td><?php _e('background color:','zmt_fancybox'); ?></td>
   <td>
    <input name="zmt_fancybox_bgColor" type="text" id="bgColor" value="<?php echo get_option('zmt_fancybox_bgColor'); ?>" />
   </td>
  </tr>
  <tr>
   <td><?php _e('font color:','zmt_fancybox'); ?></td>
   <td>
    <input name="zmt_fancybox_fontColor" type="text" id="fontColor" value="<?php echo get_option('zmt_fancybox_fontColor'); ?>" />
   </td>
  </tr>
</table>
<br />
<table>
  <caption align="left"><b><?php _e('Other','zmt_fancybox');?> </b></caption>
  <tr>
   <td><?php _e('transition in:','zmt_fancybox'); ?></td>
   <td>
    <select name="zmt_fancybox_transitionIn">
     <option value="elastic" <?php if(get_option('zmt_fancybox_transitionIn') == "elastic") { echo "selected=\"selected\""; } ?>><?php _e('elastic','zmt_fancybox'); ?></option>
     <option value="fade" <?php if(get_option('zmt_fancybox_transitionIn') == "fade") { echo "selected=\"selected\""; } ?>><?php _e('fade','zmt_fancybox'); ?></option>
     <option value="none" <?php if(get_option('zmt_fancybox_transitionIn') == "none") { echo "selected=\"selected\""; } ?>><?php _e('none','zmt_fancybox'); ?></option>
     </select>
    </td>
  </tr>
  <tr>
   <td><?php _e('transition out:','zmt_fancybox'); ?></td>
   <td>
    <select name="zmt_fancybox_transitionOut">
     <option value="elastic" <?php if(get_option('zmt_fancybox_transitionOut') == "elastic") { echo "selected=\"selected\""; } ?>><?php _e('elastic','zmt_fancybox'); ?></option>
     <option value="fade" <?php if(get_option('zmt_fancybox_transitionOut') == "fade") { echo "selected=\"selected\""; } ?>><?php _e('fade','zmt_fancybox'); ?></option>
     <option value="none" <?php if(get_option('zmt_fancybox_transitionOut') == "none") { echo "selected=\"selected\""; } ?>><?php _e('none','zmt_fancybox'); ?></option>
    </select>
   </td>
  </tr>
  <tr>
   <td><?php _e('text <b>[ before ]</b>,<b>[ inside ]</b> and <b>[ behind ]</b> counter','zmt_fancybox'); ?></td>
   <td>
    <input name="zmt_fancybox_beforeCounter" type="text" value="<?php echo get_option('zmt_fancybox_beforeCounter'); ?>" />
    <input name="zmt_fancybox_insideCounter" type="text"  value="<?php echo get_option('zmt_fancybox_insideCounter'); ?>" />
    <input name="zmt_fancybox_behindCounter" type="text"  value="<?php echo get_option('zmt_fancybox_behindCounter'); ?>" />
   </td>
  </tr>
</table>
   <input type="hidden" name="action" value="update" />
   
   <p>
    <input type="submit" value="<?php _e('Save Changes','zmt_fancybox') ?>" />
   </p>
  
   </form>
<?php }} //end function ?>
